%define upstream_name puppet-pacemaker

Name:           puppet-pacemaker
Version:        0.5.0
Release:        4%{?alphatag}%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/redhat-openstack/puppet-pacemaker

Source0:        https://github.com/openstack/%{upstream_name}/archive/%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=0.5.0
Patch0001: 0001-Disable-the-deprecation-warnings-as-errors-for-puppe.patch
Patch0002: 0002-Add-rspec-tests-for-stonith-fences.patch
Patch0003: 0003-Remove-spurious-CIB-backup-files.patch
Patch0004: 0004-Fix-potential-cluster-setup-race.patch
Patch0005: 0005-Fixes-for-race-condition-when-adding-primitives-with.patch
Patch0006: 0006-Update-test-requirements.txt.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Tue Apr 11 2017 Steve Linabery <slinaber@redhat.com> 0.5.0-4
- Update test-requirements.txt
- Fixes for race condition when adding primitives without OCF present

* Tue Apr 04 2017 Jon Schlueter <jschluet@redhat.com> 0.5.0-3
- Fix potential cluster setup race (rhbz#1437417)

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 0.5.0-2
- Remove spurious CIB backup files
- Add rspec tests for stonith fences
- Disable the deprecation warnings as errors for puppet-syntax

* Mon Mar 06 2017 Jon Schlueter <jschluet@redhat.com> 0.5.0-1
- Update to 0.5.0
- bump to official tag as 28020de is one commit right before 0.5.0

* Thu Feb 09 2017 Alfredo Moralejo <amoralej@redhat.com> 0.4.0-1.28020degit
- Ocata update 0.4.0 (28020de0fb5699104057eed7a96d106bc396c9a2)

